Subject: Re: Semicolor seperator in Perl system() command under WinNT
From: Chris Faylor <[email-masked]>
To: Elliot Mednick <[email-masked]>
Cc: [email-masked]
Date: Tue, 9 Nov 1999 15:32:53 -0500

It sounds like you may not have a /bin/sh around to execute your commands.

cgf

On Tue, Nov 09, 1999 at 01:46:24PM -0500, Elliot Mednick wrote:
>What do I need to do to be able to use semicolons in the system command in
>Perl under WinNT?
>
>For example:
>
>$log = system ("cd foo; ls");
>
>This works fine under Win98.  But under WinNT, I get nothing.  I get nothing
>anytime I use semicolon or other punctuation inside the system command.  But
>single commands work fine.  Same holds true for backticks.
>
>Cygwin 20.1, Perl 5.005_03 for Cygwin.

--
Want to unsubscribe from this list?
Send a message to [email-masked]